Friday, January 2, 2015

Citrix NetScaler's Upgrade Wizard fails to load with Java Applet error message: "Cannot load Applet"

Problem

You attempt to use the Upgrade Wizard option on a Citrix NetScaler 10.5 to upgrade from a July 2014 build to the latest December 18th, 2014 build but receive the following error in the browser:

image

image

image

Cannot load Applet

Java Applet could not be loaded

Details

Possible reasons:

JRE(Java Runtime Environment) not installed.

JRE is installed but not running.

Java browser plug-in is not installed or not enabled.

Click here for Frequently Asked Questions.

image

The Java installed on the computer accessing the web GUI is:

Java Version 7 Update 60 (build 1.7.0_60-b19)

image

Solution

As administrators of NetScaler 10.5 or later would know, most of the web GUI has been changed to discontinue the use of Java in favour of HTML 5 which I’m sure has made a lot of us happy given all the Java related issues similar to the one above.  Unfortunately, not all components have moved away from Java and the Upgrade Wizard is one of them so to get around this, simply open the Java Control Panel from the Control Panel, navigate to the Security tab and click on the Edit Site List…:

image

In the Exception Site List window, add the IP address of the NSIP of your NetScaler(s):

image

image

Click on the OK button for each opened window to apply the changes:

image

The upgrade wizard should now load:

image

1 comment:

sharepoint electronic signature said...

Hi there! glad to drop by your page and found these very interesting and informative stuff. Thanks for sharing, keep it up!